Disable check for newer versions on start.

--- a/gui/preferences.ui
+++ b/gui/preferences.ui
@@ -39,13 +39,6 @@
         </rect>
        </property>
        <layout class="QVBoxLayout" name="verticalLayout_4">
-        <item>
-         <widget class="QCheckBox" name="startupCheck">
-          <property name="text">
-           <string>Check for newer version on start.</string>
-          </property>
-         </widget>
-        </item>
         <item>
          <widget class="QCheckBox" name="reportStatisticsCheck">
           <property name="text">
--- a/gui/preferences.cc
+++ b/gui/preferences.cc
@@ -40,7 +40,6 @@ Preferences::Preferences(QWidget* parent, QList<Format>& formatList,
 {
   ui_.setupUi(this);
 
-  ui_.startupCheck->setChecked(babelData_.startupVersionCheck_);
   ui_.reportStatisticsCheck->setChecked(babelData_.reportStatistics_);
 
   connect(ui_.buttonBox, &QDialogButtonBox::accepted, this, &Preferences::acceptClicked);
@@ -79,7 +78,6 @@ void Preferences::acceptClicked()
     formatList_[i].setHidden(item->checkState() == Qt::Unchecked);
   }
 
-  babelData_.startupVersionCheck_ = ui_.startupCheck->isChecked();
   babelData_.reportStatistics_ = ui_.reportStatisticsCheck->isChecked();
   accept();
 }
--- a/gui/babeldata.h
+++ b/gui/babeldata.h
@@ -63,7 +63,7 @@ public:
     upgradeErrors_(0),
     upgradeOffers_(0),
     runCount_(0),
-    startupVersionCheck_(true),
+    startupVersionCheck_(false),
     reportStatistics_(false),
     allowBetaUpgrades_(false),
     ignoreVersionMismatch_(true),
--- a/gui/mainwinui.ui
+++ b/gui/mainwinui.ui
@@ -691,7 +691,6 @@
     <addaction name="actionHelp"/>
     <addaction name="separator"/>
     <addaction name="actionAbout"/>
-    <addaction name="actionUpgradeCheck"/>
     <addaction name="separator"/>
     <addaction name="actionVisit_Website"/>
     <addaction name="actionMake_a_Donation"/>
@@ -720,11 +719,6 @@
     <string>Preferences...</string>
    </property>
   </action>
-  <action name="actionUpgradeCheck">
-   <property name="text">
-    <string>Check for Upgrade</string>
-   </property>
-  </action>
   <action name="actionVisit_Website">
    <property name="text">
     <string>Visit Website...</string>
--- a/gui/mainwindow.cc
+++ b/gui/mainwindow.cc
@@ -176,7 +176,6 @@ MainWindow::MainWindow(QWidget* parent): QMainWindow(parent)
   connect(ui_.actionAbout, &QAction::triggered, this, &MainWindow::aboutActionX);
   connect(ui_.actionVisit_Website, &QAction::triggered, this, &MainWindow::visitWebsiteActionX);
   connect(ui_.actionMake_a_Donation, &QAction::triggered, this, &MainWindow::donateActionX);
-  connect(ui_.actionUpgradeCheck, &QAction::triggered, this, &MainWindow::upgradeCheckActionX);
   connect(ui_.actionPreferences, &QAction::triggered, this, &MainWindow::preferencesActionX);
 
 // TODO: Qt6 deleted the obsolete overloaded signal QComboBox::currentIndexChanged(const QString &text)
@@ -233,17 +232,6 @@ MainWindow::MainWindow(QWidget* parent): QMainWindow(parent)
   restoreSettings();
 
   upgrade = new UpgradeCheck(this, formatList_, babelData_);
-  if (babelData_.startupVersionCheck_) {
-    upgrade->checkForUpgrade(babelVersion_, babelData_.upgradeCheckTime_,
-                             allowBetaUpgrades());
-  }
-
-  if (!babelData_.ignoreVersionMismatch_ && babelVersion_ != VERSION) {
-    VersionMismatch vm(nullptr, babelVersion_, QString(VERSION));
-
-    vm.exec();
-    babelData_.ignoreVersionMismatch_ = vm.neverAgain();
-  }
 }
 
 //------------------------------------------------------------------------
@@ -1007,10 +995,6 @@ void MainWindow::applyActionX()
 //------------------------------------------------------------------------
 void MainWindow::closeActionX()
 {
-  QDateTime wt= upgrade->getUpgradeWarningTime();
-  if (wt.isValid()) {
-    babelData_.upgradeCheckTime_ = wt;
-  }
   babelData_.runCount_++;
 
   QDateTime now = QDateTime::currentDateTime();
